DominoServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DominoServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DominoServer

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DominoServer

extends AppServer

Represents an instance of Lotus Domino Server as mentioned in the server document in lotus notes configuration. The notes sensor contacts the domino server designated as the IIOP server in the LotusDominoInitialSensor.xml file and opens the names.nsf file, opens the ($Servers) view and then walks through the list of domino servers one at a time and creates a DominoServer for each server found in this list.

Naming Rules:
  0="serverName"
Persistable:
  true
Top Level:
  true
Display Name:
  serverName

Field Summary
`static java.lang.String` | `FIELD_SEPARATOR`
`static java.lang.String` | `VALUE_SEPARATOR`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`AdminProcess` | `getAdminProcess()` This object represents a group of properties in the server document that can be logically grouped under the Admininstration Process tab.
`AgentManager` | `getAgentManager()` This object represents a group of properties in the server document that can be logically grouped under the Agent Manager tab.
`DominoCluster` | `getCluster()` This object represents the domino cluster, if any, that this server belongs to.
`DominoDatabase[]` | `getDatabases()` Represents the list of all domino databases in the server.
`java.lang.String` | `getDataPath()` This is the DataPath of the server.
`java.lang.String` | `getDirectoryAssistanceDatabaseName()` Represents the field "MasterAddressBook" in the server document.
`DirectoryAssistance[]` | `getDirectoryAssistanceDirectories()` Represents an array of directory assistance databases.
`DirectoryCataloger` | `getDirectoryCataloger()` This object represents a group of properties in the server document that can be logically grouped under the Directory Cataloger tab.
`LDAPConfig` | `getDirectoryConfig()` Represents a set of configuration attributes that are related to LDAP server configuration All values are obtained from the server document.
`DominoDomain` | `getDomain()` This object represents the domino domain, if any, that this server belongs to
`DomainCatalog` | `getDomainCatalog()` This object represents a group of properties in the server document that can be logically grouped under the Domain Catalog tab.
`DominoSecurity` | `getDominoSecurity()` Represents a set of related security settings on the domino server.
`java.lang.String` | `getFTPProxy()` Represents the FTPProxy field in server document.
`java.lang.String` | `getGopherProxy()` Currently not filled in by the sensor.
`HTTPFilterSpecialtyServer[]` | `getHttpFilters()` This represents the field "HTTP_FilterLibrary" in the server document.
`java.lang.String` | `getHTTPProxy()` Represents the HTTPProxy field in server document.
`java.lang.String` | `getHTTPTunnelProxy()` Represents the HTTPTunnelProxy field in server document.
`IIOPConfig` | `getIIOPConfig()` Represents a set of configuration attributes that are related to the IIOP server configuration All values are obtained from the server document.
`IMAPConfig` | `getIMAPConfig()` Represents a set of configuration attributes that are related to IMAP server configuration All values are obtained from the server document.
`int` | `getIMAPServerReturnsExactSizeOfMessage()` Represents the field "IMAPExactSize" in the server config document.
`InternetClusterManager` | `getInternetClusterManager()` This object represents a group of properties in the server document that can be logically grouped under the Internet Cluster Manager tab.
`java.lang.String` | `getLoadInternetConfigurationFromServer()` Currently not filled in by the sensor.
`java.lang.String` | `getMaximumFormulaExecutionTime()` Currently not filled in by the sensor.
`java.lang.String` | `getNoProxyForTheseDomains()` Currently not filled in by the sensor.
`OtherConfig` | `getOtherConfig()` Miscellaneous configurations.
`java.lang.String` | `getPath()` This is the path of the domino server, this is extracted from the executable's runtime environment.
`int` | `getPOP3ServerReturnsExactSizeOfMessage()` Represents the field "POP3ExactSize" in the server config document.
`POPConfig` | `getPOPConfig()` Represents a set of configuration attributes that are related to the POP server configuration All values are obtained from the server document.
`RemoteDebugManager` | `getRemoteDebugManager()` This object represents a group of properties in the server document that can be logically grouped under the Remote Debug Manager tab.
`java.lang.String` | `getRoutingTasks()` Represents the field "Tasks" in the server document.
`int` | `getSametimeServer()` Represents the field "Sametime" in the server document.
`SametimeServer` | `getSametimeServerObject()` Represents an instance of the sametime server, if installed.
`java.lang.String` | `getServerBuildNumber()` Represents the field "ServerBuildNumber" in the server document.
`java.lang.String` | `getServerName()` Represents the abbreviated server name for the server.
`java.lang.String` | `getServerTitle()` This is the field "ServerTitle" in the server document.
`SMTPConfig` | `getSMTPConfig()` Represents a set of configuration attributes that are related to the SMTP server configuration All values are obtained from the server document.
`java.lang.String` | `getSMTPListenerTask()` Currently not filled in by the sensor.
`java.lang.String` | `getSOCKSProxy()` Represents the SOCKSProxy field in server document.
`SpecialityServer[]` | `getSpecialityServers()` Specialty servers are obtained by the sensor from a variety of inputs.
`java.lang.String` | `getSSLSecurityProxy()` Represents the SSLSecurityProxy field in server document.
`SSLSettings` | `getSSLSettings()` Currently not filled in by the sensor.
`DominoTransactionLogging` | `getTransactionLogging()` Represents a set of related fields that represent Transaction Logging in the domino server.
`int` | `getTypeAhead()` Represents the field "TypeaheadStatus" in the server config document.
`WebConfig` | `getWebConfig()` Represents a set of configuration attributes that are related to the web server configuration All values are obtained from the server document.
`WebRetriever` | `getWebRetriever()` This object represents a group of properties in the server document that can be logically grouped under the Web Retriever tab.
`boolean` | `hasAdminProcess()`
`boolean` | `hasAgentManager()`
`boolean` | `hasCluster()`
`boolean` | `hasDatabases()`
`boolean` | `hasDataPath()`
`boolean` | `hasDirectoryAssistanceDatabaseName()`
`boolean` | `hasDirectoryAssistanceDirectories()`
`boolean` | `hasDirectoryCataloger()`
`boolean` | `hasDirectoryConfig()`
`boolean` | `hasDomain()`
`boolean` | `hasDomainCatalog()`
`boolean` | `hasDominoSecurity()`
`boolean` | `hasFTPProxy()`
`boolean` | `hasGopherProxy()`
`boolean` | `hasHttpFilters()`
`boolean` | `hasHTTPProxy()`
`boolean` | `hasHTTPTunnelProxy()`
`boolean` | `hasIIOPConfig()`
`boolean` | `hasIMAPConfig()`
`boolean` | `hasIMAPServerReturnsExactSizeOfMessage()`
`boolean` | `hasInternetClusterManager()`
`boolean` | `hasLoadInternetConfigurationFromServer()`
`boolean` | `hasMaximumFormulaExecutionTime()`
`boolean` | `hasNoProxyForTheseDomains()`
`boolean` | `hasOtherConfig()`
`boolean` | `hasPath()`
`boolean` | `hasPOP3ServerReturnsExactSizeOfMessage()`
`boolean` | `hasPOPConfig()`
`boolean` | `hasRemoteDebugManager()`
`boolean` | `hasRoutingTasks()`
`boolean` | `hasSametimeServer()`
`boolean` | `hasSametimeServerObject()`
`boolean` | `hasServerBuildNumber()`
`boolean` | `hasServerName()`
`boolean` | `hasServerTitle()`
`boolean` | `hasSMTPConfig()`
`boolean` | `hasSMTPListenerTask()`
`boolean` | `hasSOCKSProxy()`
`boolean` | `hasSpecialityServers()`
`boolean` | `hasSSLSecurityProxy()`
`boolean` | `hasSSLSettings()`
`boolean` | `hasTransactionLogging()`
`boolean` | `hasTypeAhead()`
`boolean` | `hasWebConfig()`
`boolean` | `hasWebRetriever()`
`void` | `setAdminProcess(AdminProcess s)` Server Tasks
`void` | `setAgentManager(AgentManager s)`
`void` | `setCluster(DominoCluster s)`
`void` | `setDatabases(DominoDatabase[] s)`
`void` | `setDataPath(java.lang.String dataPath)`
`void` | `setDirectoryAssistanceDatabaseName(java.lang.String s)`
`void` | `setDirectoryAssistanceDirectories(DirectoryAssistance[] info)`
`void` | `setDirectoryCataloger(DirectoryCataloger s)`
`void` | `setDirectoryConfig(LDAPConfig s)`
`void` | `setDomain(DominoDomain s)`
`void` | `setDomainCatalog(DomainCatalog s)`
`void` | `setDominoSecurity(DominoSecurity s)`
`void` | `setFTPProxy(java.lang.String s)`
`void` | `setGopherProxy(java.lang.String s)`
`void` | `setHttpFilters(HTTPFilterSpecialtyServer[] s)`
`void` | `setHTTPProxy(java.lang.String s)`
`void` | `setHTTPTunnelProxy(java.lang.String s)`
`void` | `setIIOPConfig(IIOPConfig s)`
`void` | `setIMAPConfig(IMAPConfig s)`
`void` | `setIMAPServerReturnsExactSizeOfMessage(int s)`
`void` | `setInternetClusterManager(InternetClusterManager s)`
`void` | `setLoadInternetConfigurationFromServer(java.lang.String domain)`
`void` | `setMaximumFormulaExecutionTime(java.lang.String domain)`
`void` | `setNoProxyForTheseDomains(java.lang.String s)`
`void` | `setOtherConfig(OtherConfig s)`
`void` | `setPath(java.lang.String path)`
`void` | `setPOP3ServerReturnsExactSizeOfMessage(int s)`
`void` | `setPOPConfig(POPConfig s)`
`void` | `setRemoteDebugManager(RemoteDebugManager s)`
`void` | `setRoutingTasks(java.lang.String domain)`
`void` | `setSametimeServer(int domain)`
`void` | `setSametimeServerObject(SametimeServer s)`
`void` | `setServerBuildNumber(java.lang.String domain)`
`void` | `setServerName(java.lang.String s)`
`void` | `setServerTitle(java.lang.String serverTitle)`
`void` | `setSMTPConfig(SMTPConfig s)`
`void` | `setSMTPListenerTask(java.lang.String domain)`
`void` | `setSOCKSProxy(java.lang.String s)`
`void` | `setSpecialityServers(SpecialityServer[] s)`
`void` | `setSSLSecurityProxy(java.lang.String s)`
`void` | `setSSLSettings(SSLSettings config)`
`void` | `setTransactionLogging(DominoTransactionLogging s)`
`void` | `setTypeAhead(int s)`
`void` | `setWebConfig(WebConfig config)`
`void` | `setWebRetriever(WebRetriever s)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### VALUE_SEPARATOR

    static final java.lang.String VALUE_SEPARATOR

See Also:
  Constant Field Values

### FIELD_SEPARATOR

    static final java.lang.String FIELD_SEPARATOR

See Also:
  Constant Field Values

Method Detail

### setPath

    void setPath(java.lang.String path)

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  This is the path of the domino server, this is extracted from the executable's runtime environment.

  Throws:
    `AttributeNotSetException`

### hasPath

    boolean hasPath()

### setDataPath

    void setDataPath(java.lang.String dataPath)

### getDataPath

    java.lang.String getDataPath()
                                 throws AttributeNotSetException

  This is the DataPath of the server. It is read from the notes.ini file.

  Throws:
    `AttributeNotSetException`

### hasDataPath

    boolean hasDataPath()

### setServerTitle

    void setServerTitle(java.lang.String serverTitle)

### getServerTitle

    java.lang.String getServerTitle()
                                    throws AttributeNotSetException

  This is the field "ServerTitle" in the server document.

  Throws:
    `AttributeNotSetException`

### hasServerTitle

    boolean hasServerTitle()

### setDomain

    void setDomain(DominoDomain s)

### getDomain

    DominoDomain getDomain()
                           throws AttributeNotSetException

  This object represents the domino domain, if any, that this server belongs to

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### hasDomain

    boolean hasDomain()

### setCluster

    void setCluster(DominoCluster s)

### getCluster

    DominoCluster getCluster()
                             throws AttributeNotSetException

  This object represents the domino cluster, if any, that this server belongs to.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### hasCluster

    boolean hasCluster()

### setLoadInternetConfigurationFromServer

    void setLoadInternetConfigurationFromServer(java.lang.String domain)

### getLoadInternetConfigurationFromServer

    java.lang.String getLoadInternetConfigurationFromServer()
                                                            throws AttributeNotSetException

  Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasLoadInternetConfigurationFromServer

    boolean hasLoadInternetConfigurationFromServer()

### setMaximumFormulaExecutionTime

    void setMaximumFormulaExecutionTime(java.lang.String domain)

### getMaximumFormulaExecutionTime

    java.lang.String getMaximumFormulaExecutionTime()
                                                    throws AttributeNotSetException

  Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasMaximumFormulaExecutionTime

    boolean hasMaximumFormulaExecutionTime()

### setServerBuildNumber

    void setServerBuildNumber(java.lang.String domain)

### getServerBuildNumber

    java.lang.String getServerBuildNumber()
                                          throws AttributeNotSetException

  Represents the field "ServerBuildNumber" in the server document.

  Throws:
    `AttributeNotSetException`

### hasServerBuildNumber

    boolean hasServerBuildNumber()

### setRoutingTasks

    void setRoutingTasks(java.lang.String domain)

### getRoutingTasks

    java.lang.String getRoutingTasks()
                                     throws AttributeNotSetException

  Represents the field "Tasks" in the server document.

  Throws:
    `AttributeNotSetException`

### hasRoutingTasks

    boolean hasRoutingTasks()

### setSMTPListenerTask

    void setSMTPListenerTask(java.lang.String domain)

### getSMTPListenerTask

    java.lang.String getSMTPListenerTask()
                                         throws AttributeNotSetException

  Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasSMTPListenerTask

    boolean hasSMTPListenerTask()

### setSametimeServer

    void setSametimeServer(int domain)

### getSametimeServer

    int getSametimeServer()
                          throws AttributeNotSetException

  Represents the field "Sametime" in the server document.

  Throws:
    `AttributeNotSetException`

### hasSametimeServer

    boolean hasSametimeServer()

### setDirectoryAssistanceDirectories

    void setDirectoryAssistanceDirectories(DirectoryAssistance[] info)

### hasDirectoryAssistanceDirectories

    boolean hasDirectoryAssistanceDirectories()

### getDirectoryAssistanceDirectories

    DirectoryAssistance[] getDirectoryAssistanceDirectories()
                                                            throws AttributeNotSetException

  Represents an array of directory assistance databases. The sensor opens the ($DirectoryAssistance) view and walks through the list of documents in the view and creates a DirectoryAssistance object for each of the objects.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setWebConfig

    void setWebConfig(WebConfig config)

### getWebConfig

    WebConfig getWebConfig()
                           throws AttributeNotSetException

  Represents a set of configuration attributes that are related to the web server configuration All values are obtained from the server document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasWebConfig

    boolean hasWebConfig()

### setSSLSettings

    void setSSLSettings(SSLSettings config)

### getSSLSettings

    SSLSettings getSSLSettings()
                               throws AttributeNotSetException

  Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### hasSSLSettings

    boolean hasSSLSettings()

### setDirectoryConfig

    void setDirectoryConfig(LDAPConfig s)

### getDirectoryConfig

    LDAPConfig getDirectoryConfig()
                                  throws AttributeNotSetException

  Represents a set of configuration attributes that are related to LDAP server configuration All values are obtained from the server document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasDirectoryConfig

    boolean hasDirectoryConfig()

### setIMAPConfig

    void setIMAPConfig(IMAPConfig s)

### getIMAPConfig

    IMAPConfig getIMAPConfig()
                             throws AttributeNotSetException

  Represents a set of configuration attributes that are related to IMAP server configuration All values are obtained from the server document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasIMAPConfig

    boolean hasIMAPConfig()

### setPOPConfig

    void setPOPConfig(POPConfig s)

### getPOPConfig

    POPConfig getPOPConfig()
                           throws AttributeNotSetException

  Represents a set of configuration attributes that are related to the POP server configuration All values are obtained from the server document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasPOPConfig

    boolean hasPOPConfig()

### setSMTPConfig

    void setSMTPConfig(SMTPConfig s)

### getSMTPConfig

    SMTPConfig getSMTPConfig()
                             throws AttributeNotSetException

  Represents a set of configuration attributes that are related to the SMTP server configuration All values are obtained from the server document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasSMTPConfig

    boolean hasSMTPConfig()

### setOtherConfig

    void setOtherConfig(OtherConfig s)

### getOtherConfig

    OtherConfig getOtherConfig()
                               throws AttributeNotSetException

  Miscellaneous configurations. Currently not filled by the sensor.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasOtherConfig

    boolean hasOtherConfig()

### setIIOPConfig

    void setIIOPConfig(IIOPConfig s)

### getIIOPConfig

    IIOPConfig getIIOPConfig()
                             throws AttributeNotSetException

  Represents a set of configuration attributes that are related to the IIOP server configuration All values are obtained from the server document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### hasIIOPConfig

    boolean hasIIOPConfig()

### setHTTPProxy

    void setHTTPProxy(java.lang.String s)

### getHTTPProxy

    java.lang.String getHTTPProxy()
                                  throws AttributeNotSetException

  Represents the HTTPProxy field in server document. Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasHTTPProxy

    boolean hasHTTPProxy()

### setFTPProxy

    void setFTPProxy(java.lang.String s)

### getFTPProxy

    java.lang.String getFTPProxy()
                                 throws AttributeNotSetException

  Represents the FTPProxy field in server document. Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasFTPProxy

    boolean hasFTPProxy()

### setGopherProxy

    void setGopherProxy(java.lang.String s)

### getGopherProxy

    java.lang.String getGopherProxy()
                                    throws AttributeNotSetException

  Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasGopherProxy

    boolean hasGopherProxy()

### setSSLSecurityProxy

    void setSSLSecurityProxy(java.lang.String s)

### getSSLSecurityProxy

    java.lang.String getSSLSecurityProxy()
                                         throws AttributeNotSetException

  Represents the SSLSecurityProxy field in server document. Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasSSLSecurityProxy

    boolean hasSSLSecurityProxy()

### setHTTPTunnelProxy

    void setHTTPTunnelProxy(java.lang.String s)

### getHTTPTunnelProxy

    java.lang.String getHTTPTunnelProxy()
                                        throws AttributeNotSetException

  Represents the HTTPTunnelProxy field in server document. Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasHTTPTunnelProxy

    boolean hasHTTPTunnelProxy()

### setSOCKSProxy

    void setSOCKSProxy(java.lang.String s)

### getSOCKSProxy

    java.lang.String getSOCKSProxy()
                                   throws AttributeNotSetException

  Represents the SOCKSProxy field in server document. Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasSOCKSProxy

    boolean hasSOCKSProxy()

### setNoProxyForTheseDomains

    void setNoProxyForTheseDomains(java.lang.String s)

### getNoProxyForTheseDomains

    java.lang.String getNoProxyForTheseDomains()
                                               throws AttributeNotSetException

  Currently not filled in by the sensor.

  Throws:
    `AttributeNotSetException`

### hasNoProxyForTheseDomains

    boolean hasNoProxyForTheseDomains()

### setServerName

    void setServerName(java.lang.String s)

### getServerName

    java.lang.String getServerName()
                                   throws AttributeNotSetException

  Represents the abbreviated server name for the server. This is the unique key to identify a server.

  Throws:
    `AttributeNotSetException`

### hasServerName

    boolean hasServerName()

### getDatabases

    DominoDatabase[] getDatabases()
                                  throws AttributeNotSetException

  Represents the list of all domino databases in the server. This is a shallow implementation, it contains minimal information about the *.nsf files in the server. Earlier implementations of the sensor used to open the database and extract more information, but it was turned off after a few customers complained about performance and access errors. Most customers do NOT want our sensors to touch any database other than the names.nsf database. This currently contains only shallow details like file name, size etc.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"
  Containment Relationship:
    true

### setDatabases

    void setDatabases(DominoDatabase[] s)

### hasDatabases

    boolean hasDatabases()

### setSpecialityServers

    void setSpecialityServers(SpecialityServer[] s)

### getSpecialityServers

    SpecialityServer[] getSpecialityServers()
                                            throws AttributeNotSetException

  Specialty servers are obtained by the sensor from a variety of inputs. This is a combination of the "ServerTasks,ServerTasksAt1,ServerTasksAt2,ServerTasksAt3,ServerTasksAt4, ServerTasksAt5, EXTMGR_ADDINS" fields from the notes.ini file

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"
  Containment Relationship:
    true

### hasSpecialityServers

    boolean hasSpecialityServers()

### setHttpFilters

    void setHttpFilters(HTTPFilterSpecialtyServer[] s)

### getHttpFilters

    HTTPFilterSpecialtyServer[] getHttpFilters()
                                               throws AttributeNotSetException

  This represents the field "HTTP_FilterLibrary" in the server document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasHttpFilters

    boolean hasHttpFilters()

### setAdminProcess

    void setAdminProcess(AdminProcess s)

  Server Tasks

### getAdminProcess

    AdminProcess getAdminProcess()
                                 throws AttributeNotSetException

  This object represents a group of properties in the server document that can be logically grouped under the Admininstration Process tab. This grouping is similar to the Server Task Administration Process in the Domino Web Console.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasAdminProcess

    boolean hasAdminProcess()

### setAgentManager

    void setAgentManager(AgentManager s)

### getAgentManager

    AgentManager getAgentManager()
                                 throws AttributeNotSetException

  This object represents a group of properties in the server document that can be logically grouped under the Agent Manager tab. This grouping is similar to the Server Task Agent Manager in the Domino Web Console.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasAgentManager

    boolean hasAgentManager()

### setDomainCatalog

    void setDomainCatalog(DomainCatalog s)

### getDomainCatalog

    DomainCatalog getDomainCatalog()
                                   throws AttributeNotSetException

  This object represents a group of properties in the server document that can be logically grouped under the Domain Catalog tab. This grouping is similar to the Server Task Domain Catalog in the Domino Web Console.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"
  Containment Relationship:
    true

### hasDomainCatalog

    boolean hasDomainCatalog()

### setDirectoryCataloger

    void setDirectoryCataloger(DirectoryCataloger s)

### getDirectoryCataloger

    DirectoryCataloger getDirectoryCataloger()
                                             throws AttributeNotSetException

  This object represents a group of properties in the server document that can be logically grouped under the Directory Cataloger tab. This grouping is similar to the Server Task Directory Cataloger in the Domino Web Console.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasDirectoryCataloger

    boolean hasDirectoryCataloger()

### setInternetClusterManager

    void setInternetClusterManager(InternetClusterManager s)

### getInternetClusterManager

    InternetClusterManager getInternetClusterManager()
                                                     throws AttributeNotSetException

  This object represents a group of properties in the server document that can be logically grouped under the Internet Cluster Manager tab. This grouping is similar to the Server Task Internet Cluster Manager in the Domino Web Console.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasInternetClusterManager

    boolean hasInternetClusterManager()

### setWebRetriever

    void setWebRetriever(WebRetriever s)

### getWebRetriever

    WebRetriever getWebRetriever()
                                 throws AttributeNotSetException

  This object represents a group of properties in the server document that can be logically grouped under the Web Retriever tab. This grouping is similar to the Server Task Web Retriever in the Domino Web Console.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasWebRetriever

    boolean hasWebRetriever()

### setRemoteDebugManager

    void setRemoteDebugManager(RemoteDebugManager s)

### getRemoteDebugManager

    RemoteDebugManager getRemoteDebugManager()
                                             throws AttributeNotSetException

  This object represents a group of properties in the server document that can be logically grouped under the Remote Debug Manager tab. This grouping is similar to the Server Task Remote Debug Manager in the Domino Web Console.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasRemoteDebugManager

    boolean hasRemoteDebugManager()

### setSametimeServerObject

    void setSametimeServerObject(SametimeServer s)

### getSametimeServerObject

    SametimeServer getSametimeServerObject()
                                           throws AttributeNotSetException

  Represents an instance of the sametime server, if installed. This is currently implemented only in the windows version of this sensor. The unix version does not implement this.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"
  Containment Relationship:
    true

### hasSametimeServerObject

    boolean hasSametimeServerObject()

### setDominoSecurity

    void setDominoSecurity(DominoSecurity s)

### getDominoSecurity

    DominoSecurity getDominoSecurity()
                                     throws AttributeNotSetException

  Represents a set of related security settings on the domino server. All attributes are fetched from the server document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### hasDominoSecurity

    boolean hasDominoSecurity()

### setDirectoryAssistanceDatabaseName

    void setDirectoryAssistanceDatabaseName(java.lang.String s)

### getDirectoryAssistanceDatabaseName

    java.lang.String getDirectoryAssistanceDatabaseName()
                                                        throws AttributeNotSetException

  Represents the field "MasterAddressBook" in the server document.

  Throws:
    `AttributeNotSetException`

### hasDirectoryAssistanceDatabaseName

    boolean hasDirectoryAssistanceDatabaseName()

### setTypeAhead

    void setTypeAhead(int s)

### getTypeAhead

    int getTypeAhead()
                     throws AttributeNotSetException

  Represents the field "TypeaheadStatus" in the server config document.

  Throws:
    `AttributeNotSetException`

### hasTypeAhead

    boolean hasTypeAhead()

### setIMAPServerReturnsExactSizeOfMessage

    void setIMAPServerReturnsExactSizeOfMessage(int s)

### getIMAPServerReturnsExactSizeOfMessage

    int getIMAPServerReturnsExactSizeOfMessage()
                                               throws AttributeNotSetException

  Represents the field "IMAPExactSize" in the server config document.

  Throws:
    `AttributeNotSetException`

### hasIMAPServerReturnsExactSizeOfMessage

    boolean hasIMAPServerReturnsExactSizeOfMessage()

### setPOP3ServerReturnsExactSizeOfMessage

    void setPOP3ServerReturnsExactSizeOfMessage(int s)

### getPOP3ServerReturnsExactSizeOfMessage

    int getPOP3ServerReturnsExactSizeOfMessage()
                                               throws AttributeNotSetException

  Represents the field "POP3ExactSize" in the server config document.

  Throws:
    `AttributeNotSetException`

### hasPOP3ServerReturnsExactSizeOfMessage

    boolean hasPOP3ServerReturnsExactSizeOfMessage()

### setTransactionLogging

    void setTransactionLogging(DominoTransactionLogging s)

### getTransactionLogging

    DominoTransactionLogging getTransactionLogging()
                                                   throws AttributeNotSetException

  Represents a set of related fields that represent Transaction Logging in the domino server. All the fields are obtained from the server document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasTransactionLogging

    boolean hasTransactionLogging()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD